@charset "utf-8";

div.article-description 
{
    display: flex;
    justify-content: center;
    margin: 40px 20px;
}

div.article-description > div > p {
    margin: 15px 0; 
}

div.article-description > div > p.messgae {
    font-size: 25px;
    font-weight: bold;
    text-transform: uppercase;
}

.share {
    display: flex;
    justify-content: center;
    margin: 10px auto;
}

.share > div { 
    margin: 0px 10px; 
}

div.cover-wrapper > .article-detail > p.author {
    font-family: 'Molengo', sans-serif;
    font-weight: bold;
    background-image: url(../icons/author.svg);
    text-transform: uppercase;
    background-position: left 8px center;
    background-repeat: no-repeat;
    background-size: 20px;
    font-size: 16px;
    color: var(--white-color);
    padding: 8px 17px;
    padding-left: 35px;
    text-decoration: underline;
}

div.cover-wrapper {
    border-radius: 0 0 5px 5px;
    background-size: cover;
    background-attachment: scroll;
    background-position: center;
    max-width: 1200px;
    overflow: hidden;
    margin: 0px auto;
    margin-top: 20px;
    position: relative;
}

div.cover-wrapper > .article-detail {
    color: var(--white-color);
    -webkit-backdrop-filter: blur(12px);
    backdrop-filter: blur(12px);
    background-color: rgba(28, 29, 34, 0.3);
    padding: 3px 7px;
    border-radius: 4px;
    margin: 0px;
    position: absolute;
    bottom: 20px;
    right: 40px;
}

div.cover-wrapper > .article-detail > h1.article-header-2 {
    text-transform: none;
    font-size: 30px;
    line-height: 30px;
    color: var(--white-color);
    display: block;
}

div.cover-wrapper  > img {
    margin: 0px auto;
    display: block;
    width: 100%;
    max-width: 1100px;
}

h1.article-header-2 { 
    user-select: auto;
    -webkit-user-select: auto;
    text-transform: uppercase;
    font-size: 40px;
    font-weight: bold;
}

h1.article-header > span {
    background-color: var(--article-header-bg-color);
    color: var(--article-header-color);
}

h1.article-header > span:first-child {
    padding-left: 20px; 
}

h1.article-header > span.dot {
    animation: _blink 1s steps(1) infinite;
    color: var(--article-header-color);
    width: 10px;
    display: inline;
}

section {
    line-height: 1.5;
    font-size: 20px;
    font-family: 'Molengo', sans-serif;
    padding: 20px;
    max-width: 1000px;
    margin: 10px auto;
}

article {
    position: relative;
    user-select: auto;
    -webkit-user-select: auto;
    text-align: left;
    hyphens: auto;
    min-height: 200px;
    margin: 10px auto;
    padding: 0px 20px;
    background-image: url(../gui/logo-bg.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-attachment:scroll;
    background-size: 88%;
}

article img {
    position: relative;
    z-index: 999;
    display: block;
    max-width: calc(100% - 20px);
    margin: 0px auto;
    margin-top: 20px;
    margin-bottom: 20px;
}

article a {
    word-break: break-all;
    hyphens: auto;
}

article li {
    list-style-position: inside; 
}

code {
    background-color: rgb(247, 247, 247);
    color: rgb(24, 24, 24);
    padding: 2px 5px;
    border-radius: 5px;
}

pre {
    font-family: 'Open Sans', sans-serif;
    background-color: rgb(247, 247, 247);
    padding: 10px;
    border-left: 15px solid #eee;
    white-space: pre;
}

blockquote {
    display: inline;
    font-style: italic;
    position: relative;
    padding: 0px 10px;
}

p.originalLanguage {
    display: inline-block;
    vertical-align: middle;
    font-size: 14px;
}

.speedLines::before,
.speedLines::after {
    z-index: 0;
    content: " ";
    position: absolute;
    width: 1px;
    height: 100%;
    background-color: var(--speed-line-color);
    left: 30%;
    top: 0;
}

.speedLines::after {
    left: auto;
    right: 30%;
}

@media screen and (max-width: 600px) {
    div.cover-wrapper {
        border-radius: 0;
    }

    div.cover-wrapper > .article-detail {
        right: 50%;
        transform: translateX(50%);
        bottom: 5px;
    }

    div.cover-wrapper > .article-detail > p.author {
        background-position: left 8px bottom 8px;
        background-size: 18px;
        font-size: 14px;
    }

    section {
        margin: 5px;
        padding: 5px;
    } 

    article {
        padding: 5px;
        margin: 0;
    }

    .speedLines::before {
        left: 50%;
    }

    .speedLines::after {
        left: 50%;
        right: auto;
    }
}